{% extends '::base.html.twig' %}

{% block title %}Tipo de Llamada{% endblock title %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
{% endblock %}

{% block body -%}
<div class="container generalContainer" id="pf_opmenu">

    <h1>Tipo de Llamadas </h1>
      <br />
            <a type="button" class="btn btn-primary" href="{{ path('tipollamada_new') }}">
                Crear Nuevo Tipo de Llamada
            </a>
       <br /><br />
    <table id="TipLlamada" class="table table-bordered table-striped table-condensed">
        <thead class="head_table">
            <tr>
                <th>Descripciòn</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            <tr>
                <td>{{ entity.descripcion }}</td>
                <td>
                        <a type="button" class="btn btn-primary" href="{{ path('tipollamada_edit', { 'id': entity.idTipoLlamada }) }}">Editar</a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
	</div>
    {% endblock %}

	{% block javascripts %}
<script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
	<!--TABLE API -->
	<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
<script type="text/javascript">  
  $(document).ready(function() {
    $('#TipLlamada').dataTable({
		"language":DataTables.languaje.es                    
			   			});


      $( "select" ).addClass( "form-control" );
      $( "input[type='text']" ).addClass( "form-control" );
      $( "input[type='search']").addClass( "form-control" );
      $( "#TipLlamada_length" ).addClass( "form-inline" );
      $( "#TipLlamada_filter" ).addClass( "form-inline" );

} );
</script>
{% endblock %}